# Function process

- process<I, O>(options): Generator<GraphQlRequest | Web3Request, {
  assignments: {
  [collectionName: string]: (I & O)[];
  };
  project: Resources.IdObject<"projects">;
  }, any>

- #### Type Parameters

  - #### I extends {
    resource: Resources.IdObject<Resources.CollectionName>;
    }

  - #### O extends Project.AssignNames.Batch.Output<{
    assignment: {};
    entry: Resources.IdObject<Resources.CollectionName>;
    properties: {
    name: string;
    type: string;
    };
    result: {
    name: string;
    type: string;
    };
    }>

  #### Parameters

  - ##### options: {
    assignments: {
    [collectionName: string]: I[];
    };
    project: Resources.IdObject<"projects">;
    }

    - ##### assignments: {
      [collectionName: string]: I[];
      }

      - ##### [collectionName: string]: I[]

    - ##### project: Resources.IdObject<"projects">

  #### Returns Generator<GraphQlRequest | Web3Request, {
  assignments: {
  [collectionName: string]: (I & O)[];
  };
  project: Resources.IdObject<"projects">;
  }, any>

  - Defined in packages/db/src/project/assignNames/batch.ts:59

Generated using TypeDoc